import { ILeagueStatsPresenter, LeagueStatsResultDTO, LeagueStatsViewModel } from '@core/racing/application/presenters/ILeagueStatsPresenter';

export class LeagueStatsPresenter implements ILeagueStatsPresenter {
  private result: LeagueStatsViewModel | null = null;

  reset() {
    this.result = null;
  }

  present(dto: LeagueStatsResultDTO) {
    this.result = dto;
  }

  getViewModel(): LeagueStatsViewModel | null {
    return this.result;
  }
}